Bug 40556 - Output pad no longer displays unicode characters
Summary: Output pad no longer displays unicode characters
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Shell (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C7)
Assignee: Marius Ungureanu
URL:
Depends on: 41128
Blocks:
  Show dependency tree
 
Reported: 2016-04-20 15:45 UTC by Aaron Bockover [MSFT]
Modified: 2016-06-02 10:31 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshot (672.64 KB, image/png)
2016-04-20 15:45 UTC, Aaron Bockover [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Aaron Bockover [MSFT] 2016-04-20 15:45:20 UTC
Created attachment 15781 [details]
Screenshot

At some point somewhat recently (transition from 5.x to 6?) the output pad stopped displaying UTF-8/unicode characters. These characters now render as '?' for each byte in the character. See attached screenshot.
Comment 1 xamarin-release-manager 2016-04-24 19:13:21 UTC
Fixed in version 6.1.0.698 (master)

Author: Marius Ungureanu
Commit: c10de4dd44493156a112fdc0d315db75e0457a2d (mono/debugger-libs)
Included in Commit: 147b63ce1290b86c7633bc2f40e704ca5d0e78ac (mono/monodevelop)
Comment 2 xamarin-release-manager 2016-05-02 13:37:29 UTC
Fixed in version 6.0.0.5108 (cycle7)

Author: Marius Ungureanu
Commit: 3bffc143a021ac6a22b55677e3b67e3aa98d4c35 (mono/debugger-libs)
Included in Commit: a27290de877df10dad1b8659138d021b525551e5 (mono/monodevelop)
Comment 3 xamarin-release-manager 2016-05-02 21:34:34 UTC
Fixed in version 6.0.0.5118 (cycle7-android-n)

Author: Marius Ungureanu
Commit: 3bffc143a021ac6a22b55677e3b67e3aa98d4c35 (mono/debugger-libs)
Included in Commit: c180ee25df30dfe4163b776700621b9b4e183b7d (mono/monodevelop)
Comment 9 Marius Ungureanu 2016-05-20 21:50:31 UTC
This will be fixed in an update of Mono to 4.4.